TechSpot

need help with USB divice

By glenn_rolek
Sep 7, 2006
  1. I just got a DVD RW with a video capture card, I had it installed, but when I run the recording i get an error:

    'a device of below 1.1 version is detected, and the aplication will NOT work properly'.

    I need help solving this problem.
    thx
     
  2. korrupt

    korrupt TS Rookie Posts: 716

    Is it a very old piece of hardware? If you give us the make/model, we can help you much better.

    Regards,

    Korrupt
     
  3. glenn_rolek

    glenn_rolek TS Rookie Topic Starter

    this is the module LG GSA-5169D.
     
  4. Darth_Terra1

    Darth_Terra1 TS Rookie Posts: 212

    As this DVD RW drive is external it needs USB 2.0 for it to work properly espessially for recording, are you sure your using a USB 2.0 port on your PC and not a 1.0 or 1.1 which seems to me the reason your getting the error.
     
  5. glenn_rolek

    glenn_rolek TS Rookie Topic Starter

    how do I know if my USB port is 2.0? and how can I upgrade it to 2.0? (if its not 2.0)
     
  6. Darth_Terra1

    Darth_Terra1 TS Rookie Posts: 212

    What is the make and model of your PC and i'll do a check to see what USB ports it uses.
     
Topic Status:
Not open for further replies.

Similar Topics

Add New Comment

You need to be a member to leave a comment. Join thousands of tech enthusiasts and participate.
TechSpot Account You may also...